require 'aws-sdk-core'
require 'event_sourcery/dynamodb/config'
require 'event_sourcery/dynamodb/schema'
require 'event_sourcery/dynamodb/tracker'

if %w(development test).include?(ENV["RACK_ENV"])
  ENV['AWS_REGION'] = "us-east-1"
  ENV['AWS_ACCESS_KEY_ID'] = "bob"
  ENV['AWS_SECRET_ACCESS_KEY'] = "isyouruncle"
  ENV['DATABASE_URI'] = "http://localhost:8000"
end

module EventSourcery
  module DynamoDB
    extend self

    def configure
      yield config
    end

    def config
      @config ||= Config.new
    end
  end
end
